#!/bin/bash
#
# 01/06/2020 - v0.2
#

# System in write mode
sudo mount -o remount,rw / ; sudo mount -o remount,rw /boot ; sudo apt update
PACKAGES=`apt list --upgradable | cut -d"/" -f1 | grep electrosense | tr -s "\n" " "`

if [ -z "$PACKAGES" ]; then

	echo "[ES_UPDATE] No need to update electrosense system"
else
	echo "[ES_UPDATE] Some packages must be updated"

	# Stop electrosense
	sudo service electrosense-sensor-mqtt stop
	sudo apt install $PACKAGES --yes
	sync
	sudo reboot
fi
# System in read-only mode
sudo mount -o remount,ro / ; sudo mount -o remount,ro /boot

